Activity feed
An opportunity's activity feed
Same shape as the company feed; only events linked (or estimated to be linked) to this opportunity.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: OpportunitiesScope:
crm.readPath parameters
idintegerrequiredOpportunity id.
Query parameters
groupstringoptionaldefault: allFilter (as in the company feed).
limitintegeroptionaldefault: 25Rows per page.
beforestringoptionalcursor from the previous response.Errors
| HTTP | error | Meaning |
|---|---|---|
400 | bad_request | v91: invalid query parameter (e.g. an unknown `group`; `message` lists the valid values). |
403 | module | The module is off in the licence or for the user. |
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/opportunities/{id}/activity \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/opportunities/{id}/activity", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/opportunities/{id}/activity",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response